### org.jfree.layouting.input.style

# Class CSSUnknownStyleRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSUnknownStyleRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSUnknownStyleRule`
`extends StyleRule`

A placeholder for unknown rules. Maybe an output target is able to handle such things, we dont.

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSUnknownStyleRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSUnknownStyleRule

    public CSSUnknownStyleRule(StyleSheet parentStyle,
                               StyleRule parentRule)